groups:
- name: gitlab-walg-backup.rules
  rules:
  - record: gitlab_com:last_walg_backup_age_in_seconds
    expr: min(time() - walg_backup_last_completed_time_seconds) by (environment,type)
  - record: gitlab_com:last_walg_basebackup_age_in_hours
    expr: min(time() - walg_basebackup_last_completed_time_seconds) by (environment,type) / 3600
  - record: gitlab_com:last_walg_successful_basebackup_age_in_hours
    expr: min(time()-push_time_seconds{job='walg-basebackup',status="1"}) by (environment,type) / 3600
  - record: gitlab_com:last_walg_failed_basebackup_age_in_hours
    expr: min(time()-push_time_seconds{job='walg-basebackup',status="-1"}) by (environment,type) / 3600
  - alert: walgBackupDelayed
    expr: gitlab_com:last_walg_backup_age_in_seconds >= 60 * 15
    for: 5m
    labels:
      pager: pagerduty
      severity: s1
      alert_type: symptom
    annotations:
      description: WAL-G wal-push archiving WALs to GCS might be not working. Please follow the runbook
        to review the problem.
      runbook: docs/patroni/postgresql-backups-wale-walg.md
      title: Last WAL was archived {{ .Value | humanizeDuration }} ago for env {{ $labels.environment }}.
  - alert: walgBaseBackupDelayed
    expr: gitlab_com:last_walg_successful_basebackup_age_in_hours >= 48
    for: 5m
    labels:
      pager: pagerduty
      severity: s1
      alert_type: symptom
    annotations:
      description: WAL-G backup-push creating full backups and archiving them to GCS might be not working. Please follow the runbook
        to review the problem.
      runbook: docs/patroni/postgresql-backups-wale-walg.md
      title: Last successful WAL-G basebackup was seen {{ .Value | humanizeDuration }} ago for env {{ $labels.environment }}.
